package com.duben.heliapp.mvp.views

import com.duben.heliapp.mvp.model.BannerList
import com.duben.heliapp.mvp.model.UserBean
import com.duben.heliapp.mvp.model.VipBean
import com.duben.heliapp.mvp.model.WxPayParamBean

interface VipView : BaseView {
    fun getVipProductSuc(data: VipBean)
    fun getVipPayParamsSuc(payChannel:String,data: WxPayParamBean,enter:String)
    fun queryVipOrderSuc(isPay:Boolean)
    fun getUserSuc(data: UserBean)

    fun ordersSuc(data: BannerList?)
}